﻿##This file contains the main game.
##For file definitions, go to define.rpy
##For the RPG framework, go to rpg.rpy

#Game Start
label start:
    #Pre-battle dialogue
    scene BG
    show Player at midright with easeinright
    show Enemy at midleft with easeinleft
    "Initiating tutorial fight..."
    show BG at shake
    "Begin!"
    jump rpgbattle1
    #Go to rpg.rpy Line 1
    
    #Post-battle dialogue
    label endbattle:
        "Thus ends the tutorial fight."
    return

##Disclaimer: if your game has heavy RPG elements, do not rely on this framework.
##This framework is meant for games that have slight/mock RPG elements. This will only carry you so far.
##If your game needs more RPG functionality, you're better off using Jake's RPG Battle Engine - http://lemmasoft.renai.us/forums/viewtopic.php?f=51&t=16943

##This framework as-is does not support:
##- Weaponry/Equips
##- Experience Points
##- Skill Points
##- Random Encounters
##- Other complex functions

##With a bit of work, you can probably add the following:
##- Party members
##- Healing
##- Multiple Enemies
##- Special Attacks
##- etc.

##This Simple RPG Framework is licensed under Attribution 3.0 Unported (CC BY 3.0) - http://creativecommons.org/licenses/by/3.0/
##You are free to use and modify the code within these .rpy files for your own games.
##If you use the framework, please credit me as CheeryMoya and link to my website: http://twinturtlegames.com/
##Files in the Sprites folder were created by Mink (http://metalorphans.com/). Use as placeholders but do not release your finished game with them.