###Variables
init python:
    #Player Variables
    playerHP = 5 #Change number to increase or decrease default HP. This has no cap.
    playerdefend = "fail" #At start of battle, Player is not defending.
    playerattack = "miss" #Set this to "miss" just in case. Variable will change at start of battle.
    
    
    #Enemy Variables
    enemyHP = 5 #Change number to increase or decrease default HP. This has no cap.
    enemydefend = "fail" #At start of battle, Enemy is not defending.
    enemymove = "defend" #Set this to "defend" just in case. Variable will change at start of battle.
    enemyattack = "miss" #Set this to "miss" just in case. Variable will change at start of battle
    
#More likely than not, you'll need to make a new rpgbattle block for each battle you have in your game.
#If you have a lot of battles, you're better off using Jake's RPG Battle Engine - http://lemmasoft.renai.us/forums/viewtopic.php?f=51&t=16943

label rpgbattle1:
    #Variables that determine what happens in battle.
    $ playerattack = renpy.random.choice(('critical','normal', 'miss')) #How effective Player's attack is.
    #Player can choose to attack or defend. 
    
    #Think of enemymove as the Enemy's AI.
    #Right now, there is a 50% chance of Enemy attacking and a 50% chance of Enemy defending.
    #Probably resets each turn. If it seems like Enemy is doing one action repeatedly, that's all up to luck.
    #You can probably set it so there are more variables for enemymove to cycle through.
    $ enemymove = renpy.random.choice(('attack','defend'))
    $ enemyattack = renpy.random.choice(('critical','normal', 'miss')) #How effective Enemy's attack is.
    
menu:
    
    "Player's move."
    
    #Choose Player's move for the turn.
    
    "Attack":
        
        #Critical if statement block
        if playerattack == "critical":
            show PlayerCritical at rightcrit
            if enemydefend == "success":
                "Enemy defended so the attack didn't work."
            if enemydefend == "fail":
                "Player landed a critical!"
                $ enemyHP -= 2
        
        #Normal if statement block
        if playerattack == "normal":
            if enemydefend == "success":
                "Enemy defended so the attack didn't work."
            if enemydefend == "fail":
                "Player attacked."
                $ enemyHP -= 1
        
        #Miss if statement block
        if playerattack == "miss":
            "Player's attack missed."
            
    "Defend":
        #Right now, when Player defends, there is a chance of it working or failing.
        #Enemy does not have this problem, since when it decides to defend it always works.
        #You can make the playerdefend variable random or not, up to you.
        
        $ playerdefend = renpy.random.choice(('success', 'fail'))
        #$ playerdefend = "fail"
        "Player tried to defend."
        
#If Player has reduced enemyHP to 0, the game will go to the win message.
#Go to the bottom of this .rpy

#Else, it becomes Enemy's turn.

while enemyHP>0:
    
    "Enemy's HP is [enemyHP]." #State the Enemy's HP.
    $ enemydefend = "fail" #Reset the enemydefend variable.
    
    "Enemy's turn."
    
    #Enemy's move was pre-determined by enemymove at the start of this turn
    
    if enemymove == "attack":
        
        #Critical if statement block
        if enemyattack == "critical":
            show EnemyCritical at leftcrit
            if playerdefend == "success":
                "Player defended so the attack didn't work."
            if playerdefend == "fail":
                "Enemy landed a critical!"
                $ playerHP -= 2
        
        #Normal if statement block
        if enemyattack == "normal":
            if playerdefend == "success":
                "Player defended so the attack didn't work."
            if playerdefend == "fail":
                "Enemy attacked."
                $ playerHP -= 1
        
        #Miss if statement block
        if enemyattack == "miss":
            "Enemy's attack missed."
            
    if enemymove == "defend":
        $ enemydefend = "success"
        "Enemy started defending."
    
    while enemyHP>0:
        "Player's HP is [playerHP]."
        
        #Ren'Py will now check whether Player is still alive or not.
        #If not, then the battle ends.
        #If yes, another turn happens.
        
        #Player loses
        if playerHP <1: #When Player's HP falls to 0 or below.
            "Enemy has won the battle."
            return
        
        #Battle continues
        else: #When Player still alive.
            $ playerdefend = "fail" #Reset the playerdefend variable.
            jump rpgbattle1

#Player wins
"Player has won the battle."
jump endbattle
#We jump back to our VN part of the game. Go to script.rpy Line 17.